SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000752SiT!incidentspublic2009-06-30 18:322009-08-16 14:40
Reportermfeider67 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000752: close solution default text...not right
DescriptionI believe the SQL statement in the additional information has a bug. This statement is found in incident_close.php

The OR statement doesn't have parens and can effect the results by returning something that is not of the right incientid.
Additional Information    $sql = "SELECT * FROM `{$dbUpdates}` WHERE incidentid='{$id}' AND type='solution' OR type='actionplan' ORDER BY timestamp DESC";

possible solution 1:
    $sql = "SELECT * FROM `{$dbUpdates}` WHERE incidentid='{$id}' AND (type='solution' OR type='actionplan') ORDER BY timestamp DESC";

possibly solution 2:
    $sql = "SELECT * FROM `{$dbUpdates}` WHERE incidentid='{$id}' AND type in ('solution','actionplan') ORDER BY timestamp DESC";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001253)
mfeider67 (reporter)
2009-06-30 18:47

This also begs the question - how do you get a SOLUTION entered prior to the close page, such that it will show up by default?

This is not my experience when doing SLA - resolution, but it was partly an expectation. But I know that is of type='slamet'.
User avatar (0001254)
paulh (administrator)
2009-06-30 19:23

Hi,

r5494 resolves this, thanks for the fix.

To get a type of solution you can enter a update or email of type "resolution/reprioratisation" which sets the sla as 'solution'

Cheers
Paul
User avatar (0001725)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-06-30 18:32 mfeider67 New Issue
2009-06-30 18:47 mfeider67 Note Added: 0001253
2009-06-30 19:23 paulh Note Added: 0001254
2009-06-30 19:23 paulh Assigned To => paulh
2009-06-30 19:23 paulh Status new => resolved
2009-06-30 19:23 paulh Resolution open => fixed
2009-06-30 19:23 paulh Fixed in Version => Current SVN
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001725
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker